Bug 1449747 - Glitches over both VNC and Spice with NVIDIA M2000 card
Summary: Glitches over both VNC and Spice with NVIDIA M2000 card
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-fbdev
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-10 15:04 UTC by Christophe de Dinechin
Modified: 2017-12-12 10:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:57:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Christophe de Dinechin 2017-05-10 15:04:15 UTC
Description of problem:

I observed interesting graphic glitches that show identically in two rather different remote-viewing protocols on a PC with a M2000 card. The glitches are visible on this YouTube video: https://www.youtube.com/watch?v=6uVZ4qcvswc.

On the left, you see a spicy client running on the host, displayed over X11. The server is a x11spice server.

On the right, you see the native VNC client for macOS, Apple Screen Sharing, the server being vino-server on the PC.

What is interesting is that both show the exact same kind of glitches, which do not show up on the physical display. The glitches seem to show pieces of "out of place" textures, i.e. parts of other windows that should be hidden behind. Since the only part I can imagine that is common between the two protocols is how they access the host framebuffer, I file this against xorg-x11-drv-fbdev. This may be more of a NVIDIA driver issue though.

Version-Release number of selected component (if applicable):

xorg-x11-drv-fbdev.x86_64               0.4.3-25.fc25               @anaconda
vino.x86_64                      3.22.0-1.fc25                      @anaconda
x11spice commit 7faa5d38601a1890f5460dddd12bc651fda0c077 from https://gitlab.com/spice/x11spice
spicy: commit 16ea4b2f712b7bb30bd2bb0d0dd6e59ed08ff37c

How reproducible: Always. Glitches happen several times per minute.


Steps to Reproduce:

For VNC:
1. Enable screen sharing in Gnome
2. Connect with a VNC client (tried with Apple Screen Sharing)
3. Load several windows (in my experience, having Firefox on a YouType video makes the glitches very frequent)

For Spice:
1. Run x11spice (I used x11spice --password-file=- localhost:5909)
2. Connect to spice (I used spicy -h localhost -p 5909)

Actual results:

Glitches in the middle of windows that are otherwise not moving.


Expected results:

Windows should display their content, not the content of some other window.

Additional info:

In order to use vino-server and x11spice, you need to be running a X11 session, not a wayland session.

Comment 1 Fedora End Of Life 2017-11-16 18:50:08 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:57:11 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.